fann_get_train_stop_function
fann_init_weights
Fann Functions
PHP Manual

# fann_get_training_algorithm

(PECL fann >= 1.0.0)

fann_get_training_algorithm — Returns the training algorithm

### Description

int fann_get_training_algorithm ( resource `$ann` )

Returns the training algorithm. This training algorithm is used by fann_train_on_data() and associated functions.

Note that this algorithm is also used during fann_cascadetrain_on_data(), although only `FANN_TRAIN_RPROP` and `FANN_TRAIN_QUICKPROP` is allowed during cascade training.

### Parameters

`ann`

  Neural network resource.

### Return Values

Training algorithm constant, or `FALSE` on error.

### See Also

- fann_set_training_algorithm() - Sets the training algorithm

fann_get_train_stop_function
fann_init_weights
Fann Functions
PHP Manual